import store from '@/store'

function checkPermission(el, binding) {
  const { value } = binding
  const btns = store.getters && store.getters.btns
  if (value && value instanceof Array) {
    if (value.length > 0) {
      const permissionBtns = value

      const hasPermission = btns.some(btn => {
        return permissionBtns.includes(btn)
      })

      if (!hasPermission) {
        el.parentNode && el.parentNode.removeChild(el)
      }
    }
  } else {
    throw new Error(`need roles! Like v-permission="['admin','editor']"`)
  }
}

export default {
  inserted(el, binding) {
    checkPermission(el, binding)
  },
  update(el, binding) {
    checkPermission(el, binding)
  }
}
